﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web.Http;

using WebApiSeftHost.Models;
namespace WebApiSeftHost.Controls {
    public class UserController  : ApiController{
        private List<UserModel> _usermodels = new List<UserModel>(){
            new UserModel{
                UserName = "Andy",
                Password = "Andy1987",
                Email= "wygandy@gmail.com",
                Age = 26
            },
            new UserModel{
                UserName ="eangel",
                Password = "eangel1987",
                Email = "eangel1987@gamil.com",
                Age = 30
            }
        };
                  
        //APi/Users
        [HttpGet]
        public IEnumerable<UserModel> GetUsers() {
            return _usermodels;
        }

        //Api/Users/username
        [HttpGet]
        public UserModel GetUserByUserName( string username){
            var obj = _usermodels.FirstOrDefault( o => o.UserName.Equals( username , StringComparison.CurrentCultureIgnoreCase));
            return obj;
        }
    }
}
