﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
namespace WebApiSeftHost.Models {

    public class UserModel {
        [Required]
        [StringLength(16,MinimumLength=4)]
        public string UserName { get; set; }

        [Required]
        [StringLength(16,MinimumLength=4)]
        public string Password { get; set; }

        [Required]
        [RegularExpression(@"^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$")]
        public string Email { get; set; }

        [Required]
        [Range(18,36)]
        public int Age { get; set; }

    }
}
