﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net.Http;

namespace WebClientDemo {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
            _httpCLient.BaseAddress =new Uri( @"http://localhost:5555");
        }

        private HttpClient _httpCLient = new HttpClient();
        private void button1_Click(object sender, EventArgs e) {
            GetUsers();
        }

        private void GetUsers() {
            HttpResponseMessage responseMsg = _httpCLient.GetAsync("api/user").Result;
            responseMsg.EnsureSuccessStatusCode();
            var users = responseMsg.Content.ReadAsAsync<IEnumerable<UserModel>>().Result;
            string msg = string.Empty;
            foreach (var o in users) {
                msg += string.Format("Name:{0} , Email:{1} , Age:{2}", o.UserName, o.Email, o.Age);
                msg += System.Environment.NewLine;
            }

            MessageBox.Show(msg);
        }
    }

    public class UserModel {
        public string UserName { get; set; }
        public string Password { get; set; }
        public string Email { get; set; }
        public int Age { get; set; }
    }
}
